---
title: "Deleting a Virtual Account"
source_url: https://docs.rapyd.net/en/deleting-a-virtual-account.html
lang: en
---

# Deleting a Virtual Account

Accept Payments Locally. | `Enterprise`

When a virtual account is created, it is linked to a wallet account. Each Rapyd wallet can have multiple virtual accounts. Virtual account numbers are active as long as the wallet account is active.

You can delete a Virtual Account linked to an existing wallet. You may decide to do this if the Virtual Account is unused.

> **Warning:**
>
> A Virtual Account must have the status of **ACT** (active) in order to be deleted. Once you delete your Virtual Account, the action is **permanent**. Any payment sent to a closed Virtual Account will not be credited to the wallet and will return to the sender.
>
> You cannot close your Virtual Account if you have pending wallet transactions. Once your transactions have been settled, you can delete your Virtual Account.

## Deleting a Virtual Account Workflow

![deleting-virtual-account-flow-1.png](image/img-76d760613792a5d4aa1c1416023f6ca7.png)

1. You ask Rapyd to delete your Virtual Account.
2. Rapyd deletes the Virtual Account.

## How Deleting a Virtual Account Works

Use [Delete Virtual Account](https://docs.rapyd.net/en/delete-virtual-account.md "Delete Virtual Account") to permanently close your Virtual Account.

Description of Path Parameters

| Path Parameter | Description |
| --- | --- |
| virtual_account_id | ID of the virtual account, starting with **issuing_**. |

### Delete Virtual Account Request

- - Request

    - ```
      // Request URL: DELETE https://sandboxapi.rapyd.net/v1/issuing/bankaccounts/:virtual_account_id

      // Message body absent
      ```

### Delete Virtual Account Response

- - Response

    - ```
      {
          "status": {
              "error_code": "",
              "status": "SUCCESS",
              "message": "",
              "response_code": "",
              "operation_id": "d778b3e6-d766-4ed1-8c85-8506cf2482bc"
          },
          "data": {
              "id": "issuing_7807a16258d33b908426454b3d1900f7",
              "deleted": true
          }
      }
      ```
